Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039929
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2019-01-11 14:512019-03-01 14:40
ReporteraferrazView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf9c716dcddd8
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039929: Ticket not synchronized although Web POS Save Removed Tickets preference is enabled

DescriptionTicket not synchronized although Web POS Save Removed Tickets preference is enabled
Steps To Reproduce- Enable Web POS Save Removed Tickets preference
- Login in VBS-1 terminal with Vallblanca user
- Create a ticket and delete it. Realize ticket is synchronized with backend.
- Change customer to Arturo Montoro
- Lock screen
- Login again with Vallblanca user
- Delete current ticket. Realize ticket is not synchronized with backend and an error is shown in browser console.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039928RR19Q2 closedranjith_qualiantech_com Ticket not synchronized although Web POS Save Removed Tickets preference is enabled 

-  Notes
(0109937)
hgbot (developer)
2019-02-19 13:13

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: f9c716dcddd892507b87ebc025ba80b7f9689357
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 19 17:42:51 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/f9c716dcddd892507b87ebc025ba80b7f9689357 [^]

Fixed issue 39929 : Refactored Order deleteCurrent function to remove duplicate code for receipt deletion

* If receipt has zero lines, then delete functionality is maintained in 2 places.
First One in OrderList deleteCurrent function and second one in deleteOrder function
To Maintain it in seingle place, receipt deletion process in deleteCurrent is removed

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0110153)
jorge-garcia (developer)
2019-03-01 14:40

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-01-11 14:54 aferraz Type defect => backport
2019-01-11 14:54 aferraz Target Version RR19Q2 => RR19Q1
2019-02-12 13:59 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-02-19 13:13 hgbot Checkin
2019-02-19 13:13 hgbot Note Added: 0109937
2019-02-19 13:13 hgbot Status scheduled => resolved
2019-02-19 13:13 hgbot Resolution open => fixed
2019-02-19 13:13 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/f9c716dcddd892507b87ebc025ba80b7f9689357 [^]
2019-03-01 14:40 jorge-garcia Review Assigned To => jorge-garcia
2019-03-01 14:40 jorge-garcia Note Added: 0110153
2019-03-01 14:40 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker